Supported Device Operating Systems

18Birdies works with most iOS and Android devices. To ensure that the app works on your device, do your best to update your device to the most current version of your iOS or Android operating system.

It is also a safe bet to check the Release Notes with each update to catch any need for updating your operating system.

iOS

iOS 9.0 or later is required in order to launch the 18Birdies app on iOS devices. 

18Birdies is compatible with iPhone, iPad and iPod Touch devices.

For more information on 18Birdies functionality on tablet devices, see our article on Will 18Birdies Work on my Tablet?

Android

Android version 4.4 is the minimum requirement needed to load the 18Birdies app on your Android device.

Looking to take your game to the next level? 
Download the 18Birdies app today!

Did this answer your question? Thanks for the feedback! There was a problem submitting your feedback. Please try again later.

Still need help? Send 18Birdies a message Send 18Birdies a message